<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qmth.paper.library.common.mapper.BasicFieldMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.qmth.paper.library.common.entity.BasicField">
        <id column="id" property="id" />
        <result column="school_id" property="schoolId" />
        <result column="code" property="code" />
        <result column="name" property="name" />
        <result column="enable" property="enable" />
        <result column="disabled" property="disabled" />
        <result column="basic_field" property="basicField" />
        <result column="create_id" property="createId" />
        <result column="create_time" property="createTime" />
        <result column="update_id" property="updateId" />
        <result column="update_time" property="updateTime" />
    </resultMap>

</mapper>
